%global srcname altgraph
%global sum Python graph (network) package

Name:           python-%{srcname}
Version:        0.12
Release:        9%{?dist}
Summary:        %{sum}

License:        MIT
URL:            http://pypi.python.org/pypi/altgraph/
Source0:        http://pypi.python.org/packages/source/a/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
altgraph is a fork of graphlib: a graph (network) package for constructing
graphs, BFS, and DFS traversals, topological sort, shortest paths, etc. with
graphviz output.


# Python 2 subpackage
%package -n python2-%{srcname}
Summary:  %{sum}
Requires: python2-pydot
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
altgraph is a fork of graphlib: a graph (network) package for constructing
graphs, BFS, and DFS traversals, topological sort, shortest paths, etc. with
graphviz output.


# Python 3 subpackage
%package -n python3-%{srcname}
Summary:  %{sum}
Requires: python3-pydot
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
altgraph is a fork of graphlib: a graph (network) package for constructing
graphs, BFS, and DFS traversals, topological sort, shortest paths, etc. with
graphviz output.


%prep
%setup -q -n %{srcname}-%{version}
rm -rf %{srcname}.egg-info
#Dot.py is provided by graphviz through pydot
rm altgraph/Dot.py

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install


%files -n python2-%{srcname}
%doc PKG-INFO README.txt doc/_build/html/ altgraph_tests/
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}*.egg-info


%files -n python3-%{srcname}
%doc PKG-INFO README.txt doc/_build/html/ altgraph_tests/
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}*.egg-info


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jun 06 2016 Dominika Krejci <dkrejci@redhat.com> - 0.12-8
- add Python 3

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.12-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Oct 03 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.12-5
- Update to new upstream version 0.12

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.10.1-5
- Replace the python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 10 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.10.1-1
- README issue fixed
- Updated to new upstream version 0.10.1

* Sat Nov 10 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.10-1
- Updated to new upstream version 0.10

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Apr 03 2011 Fabian Affolter <mail@fabian-affolter.ch> - 0.9-1
- Added new README file and docs
- Updated URL and macros
- Updated to new upstream version 0.9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.7-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 28 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.7-3
- Changed define to global 

* Sat Apr 18 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.7-2
- Removed ./
- Reworked doc part

* Sat Apr 11 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.7-1
- Initial spec for Fedora

